#include <QGuiApplication>
#include <QQmlApplicationEngine>

int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;
    const QUrl url(QStringLiteral("qrc:/main.qml"));
    QObject::connect(&engine, &QQmlApplicationEngine::objectCreated,
                     &app, [url](QObject *obj, const QUrl &objUrl) {
        if (!obj && url == objUrl)
            QCoreApplication::exit(-1);
    }, Qt::QueuedConnection);
    engine.load(url);

    int ret = app.exec();

    int nCrtDbgFlag = _CrtSetDbgFlag(_CRTDBG_REPORT_FLAG);
    nCrtDbgFlag |= _CRTDBG_LEAK_CHECK_DF;
    _CrtSetDbgFlag(nCrtDbgFlag);

    return ret;
}
